Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1912668 - Review Request: golang-github-facebookincubator-go2chef - Tool to bootstrap a system from zero so that it's able to run Chef
Summary: Review Request: golang-github-facebookincubator-go2chef - Tool to bootstrap a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-05 06:03 UTC by Davide Cavalca
Modified: 2021-02-03 01:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-03 01:17:50 UTC
Type: ---
Embargoed:
michel: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-01-05 06:03:02 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/golang-github-facebookincubator-go2chef/golang-github-facebookincubator-go2chef.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/golang-github-facebookincubator-go2chef/golang-github-facebookincubator-go2chef-0-0.1.20210105git4dae637.fc34.src.rpm

Description:

go2chef is a Go tool for bootstrapping Chef installations in a flexible and
self-contained way. With go2chef, our goal is to make bootstrapping any node
in a Chef deployment as simple as "get go2chef onto a machine and run it".

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-01-05 06:03:04 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=58955955

Comment 3 Michel Alexandre Salim 2021-01-24 23:30:40 UTC
Taking this review

Comment 4 Michel Alexandre Salim 2021-01-25 01:46:51 UTC
Looks fine, APPROVED

Not sure what caused the installation error fedora-review reported, the (Rawhide) package generated installs fine on F33 and runs fine.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated", "*No
     copyright* Apache License 2.0", "Apache License 2.0". 111 files have
     unknown license. Detailed output of licensecheck in
     /home/michel/src/fedora/reviews/1912668-golang-github-
     facebookincubator-go2chef/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com(golang-github-karrick-godirwalk-
     ...
     facebookincubator-ntp-devel, golang-github-facebookincubator-flog-
     devel, golang-github-facebookincubator-nvdtools-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
     using %{go_arches} as part of %gometa
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 215040 bytes in 64 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in go2chef
     , golang-github-facebookincubator-go2chef-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 2.8 starting (python version = 3.9.1, NVR = mock-2.8-1.fc33)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start: cleaning package manager metadata
Finish: cleaning package manager metadata
INFO: enabled HW Info plugin
Mock Version: 2.8
INFO: Mock Version: 2.8
Finish: chroot init
INFO: installing package(s): /home/michel/src/fedora/reviews/1912668-golang-github-facebookincubator-go2chef/results/go2chef-0-0.1.20210105git576f5d4.fc34.x86_64.rpm /home/michel/src/fedora/reviews/1912668-golang-github-facebookincubator-go2chef/results/golang-github-facebookincubator-go2chef-devel-0-0.1.20210105git576f5d4.fc34.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 34 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk install /home/michel/src/fedora/reviews/1912668-golang-github-facebookincubator-go2chef/results/go2chef-0-0.1.20210105git576f5d4.fc34.x86_64.rpm /home/michel/src/fedora/reviews/1912668-golang-github-facebookincubator-go2chef/results/golang-github-facebookincubator-go2chef-devel-0-0.1.20210105git576f5d4.fc34.noarch.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Checking: go2chef-0-0.1.20210105git576f5d4.fc34.x86_64.rpm
          golang-github-facebookincubator-go2chef-devel-0-0.1.20210105git576f5d4.fc34.noarch.rpm
          golang-github-facebookincubator-go2chef-0-0.1.20210105git576f5d4.fc34.src.rpm
go2chef.x86_64: W: no-manual-page-for-binary go2chef
go2chef.x86_64: W: no-manual-page-for-binary go2chef-remote
golang-github-facebookincubator-go2chef-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/facebookincubator/go2chef/.goipath
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Source checksums
----------------
https://github.com/facebookincubator/go2chef/archive/576f5d4383ec70082c150ac8eb4cd97b904951fc/go2chef-576f5d4383ec70082c150ac8eb4cd97b904951fc.tar.gz :
  CHECKSUM(SHA256) this package     : f9408747dd58b9d1bf787136c37678bba2c6e0635b44a9807798982ca18bc09d
  CHECKSUM(SHA256) upstream package : f9408747dd58b9d1bf787136c37678bba2c6e0635b44a9807798982ca18bc09d


Requires
--------
go2chef (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)

golang-github-facebookincubator-go2chef-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(github.com/aws/aws-sdk-go/aws)
    golang(github.com/aws/aws-sdk-go/aws/credentials)
    golang(github.com/aws/aws-sdk-go/aws/session)
    golang(github.com/aws/aws-sdk-go/service/s3)
    golang(github.com/aws/aws-sdk-go/service/s3/s3manager)
    golang(github.com/aws/aws-sdk-go/service/secretsmanager)
    golang(github.com/mholt/archiver/v3)
    golang(github.com/mitchellh/mapstructure)
    golang(github.com/otiai10/copy)
    golang(github.com/pkg/sftp)
    golang(github.com/spf13/pflag)
    golang(golang.org/x/crypto/ssh)



Provides
--------
go2chef:
    go2chef
    go2chef(x86-64)

golang-github-facebookincubator-go2chef-devel:
    golang(github.com/facebookincubator/go2chef)
    golang(github.com/facebookincubator/go2chef)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/cli)
    golang(github.com/facebookincubator/go2chef/cli)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/config/embed)
    golang(github.com/facebookincubator/go2chef/plugin/config/embed)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/config/http)
    golang(github.com/facebookincubator/go2chef/plugin/config/http)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/config/local)
    golang(github.com/facebookincubator/go2chef/plugin/config/local)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/lib/certs)
    golang(github.com/facebookincubator/go2chef/plugin/lib/certs)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/logger/stdlib)
    golang(github.com/facebookincubator/go2chef/plugin/logger/stdlib)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/source/http)
    golang(github.com/facebookincubator/go2chef/plugin/source/http)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/source/local)
    golang(github.com/facebookincubator/go2chef/plugin/source/local)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/source/multi)
    golang(github.com/facebookincubator/go2chef/plugin/source/multi)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/source/s3)
    golang(github.com/facebookincubator/go2chef/plugin/source/s3)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/source/secretsmanager)
    golang(github.com/facebookincubator/go2chef/plugin/source/secretsmanager)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/bundle)
    golang(github.com/facebookincubator/go2chef/plugin/step/bundle)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/command)
    golang(github.com/facebookincubator/go2chef/plugin/step/command)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/depnotify)
    golang(github.com/facebookincubator/go2chef/plugin/step/depnotify)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/file)
    golang(github.com/facebookincubator/go2chef/plugin/step/file)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/group)
    golang(github.com/facebookincubator/go2chef/plugin/step/group)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/install/darwin/pkg)
    golang(github.com/facebookincubator/go2chef/plugin/step/install/darwin/pkg)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/install/linux/apt)
    golang(github.com/facebookincubator/go2chef/plugin/step/install/linux/apt)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/install/linux/dnf)
    golang(github.com/facebookincubator/go2chef/plugin/step/install/linux/dnf)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/install/windows/msi)
    golang(github.com/facebookincubator/go2chef/plugin/step/install/windows/msi)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/sanitycheck)
    golang(github.com/facebookincubator/go2chef/plugin/step/sanitycheck)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/plugin/step/winsanitycheck)
    golang(github.com/facebookincubator/go2chef/plugin/step/winsanitycheck)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/util)
    golang(github.com/facebookincubator/go2chef/util)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/util/hashfile)
    golang(github.com/facebookincubator/go2chef/util/hashfile)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/util/plugconf)
    golang(github.com/facebookincubator/go2chef/util/plugconf)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/util/temp)
    golang(github.com/facebookincubator/go2chef/util/temp)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang(github.com/facebookincubator/go2chef/util/testutil)
    golang(github.com/facebookincubator/go2chef/util/testutil)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)
    golang-github-facebookincubator-go2chef-devel
    golang-ipath(github.com/facebookincubator/go2chef)
    golang-ipath(github.com/facebookincubator/go2chef)(commit=576f5d4383ec70082c150ac8eb4cd97b904951fc)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1912668
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Python, SugarActivity, R, Java, fonts, Haskell, Ocaml, Perl, C/C++, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Davide Cavalca 2021-01-25 01:59:26 UTC
Thanks!

$ fedpkg request-repo golang-github-facebookincubator-go2chef 1912668
https://pagure.io/releng/fedora-scm-requests/issue/31867

Comment 6 Gwyn Ciesla 2021-01-25 02:03:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-facebookincubator-go2chef

Comment 7 Fedora Update System 2021-01-25 06:19:06 UTC
FEDORA-2021-e6ae246a32 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e6ae246a32

Comment 8 Fedora Update System 2021-01-25 06:33:33 UTC
FEDORA-2021-ad2cf1b7b4 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ad2cf1b7b4

Comment 9 Fedora Update System 2021-01-26 01:15:49 UTC
FEDORA-2021-ad2cf1b7b4 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-ad2cf1b7b4 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ad2cf1b7b4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-01-26 01:32:07 UTC
FEDORA-2021-e6ae246a32 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-e6ae246a32 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e6ae246a32

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-02-03 01:17:50 UTC
FEDORA-2021-ad2cf1b7b4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-02-03 01:54:53 UTC
FEDORA-2021-e6ae246a32 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.